<table class="table table-striped">
    <thead>
        <tr>
            <th colspan="2">
                <h2><%= @team.name %></h2>
            </th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td>Balance</td>
            <td>
                <div class="d-flex justify-content-between align-items-center">
                    <div class="p-2 fw-bold">
                        Rp <%= format_amount @team.wallet.get_balance %>
                    </div>
                    <div class="p-2">
                        <%= link_to(wallet_path(@team.wallet), class: 'btn btn-primary') do %>
                            <i class="fas fa-wallet nav-icon"></i>
                            Open Wallet
                        <% end %>
                    </div>
                </div>
            </td>
        </tr>
        <tr>
            <td>Members</td>
            <td>
                <ul class="list-group list-group-flush">
                    <% @team.users.each do |u| %>
                    <li class="list-group-item d-flex justify-content-between align-items-start bg-transparent">
                        <div class="ms-2 me-auto">
                            <div class="fw-bold"><%= u.name %></div>
                            (Rp <%= format_amount u.getTeamShareBalance(@team) %>)
                        </div>
                    </li>
                    <% end %>
                </ul>
            </td>
        </tr>
        <tr>
            <td>Portfolios</td>
            <td>
                <ul class="list-group list-group-flush">
                    <% @team.stocks.order(:name).each do |s| %>
                    <li class="list-group-item d-flex justify-content-between align-items-start bg-transparent">
                        <div class="ms-2 me-auto">
                            <div class="fw-bold"><%= s.name %></div>
                            (Rp <%= format_amount @team.getStockShareBalance(s) %>)
                        </div>
                    </li>
                    <% end %>
                </ul>
            </td>
        </tr>
    </tbody>
</table>

<div>
    <%= link_to teams_path, class: "btn btn-secondary" do %>
        <i class="fas fa-arrow-circle-left"></i>
        Back
    <% end %>
    <%= link_to edit_team_path(@team), class: "btn btn-warning" do %>
        <i class="fas fa-edit"></i>
        Edit
    <% end %>
</div>